Bug 398 - winbindd is not correctly recognized by Swat
winbindd is not correctly recognized by Swat
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: SWAT
3.0.0preX
All Linux
: P3 normal
: 3.0.1
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-03 16:40 UTC by Marco Wertejuk
Modified: 2005-11-14 09:25 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Wertejuk 2003-09-03 16:40:57 UTC
Hi there,

I'm running Swat from inetd using this config:
swat stream tcp nowait.400 root /usr/local/samba/sbin/swat -a swat -a
(-a to disable auth for testing purposes)

ps axww | grep winbindd shows no running winbindd processes,
SWAT doesn't as well, when clicking "start winbindd" I see
winbindd coming up and scanning trusted domains, running
ps again shows two running winbindd processes:

29998 ?        S      0:00 /usr/local/samba/sbin/winbindd
29999 ?        S      0:00 /usr/local/samba/sbin/winbindd

When watching the Status page of SWAT it shows winbindd as
"not running", if i click "start winbindd" again, i get those
lines in my log:

[2003/09/04 01:33:16, 0] lib/pidfile.c:pidfile_create(84)
  ERROR: winbindd is already running. File
/usr/local/samba/var/locks/winbindd.pid exists and process id 29998 is running.

When clicking "restart winbindd" I see the usual lines in my
log as if winbindd is coming up as usual:

[2003/09/04 01:33:52, 1] nsswitch/winbindd_util.c:add_trusted_domain(142)
  Added domain WORKGROUP  
[2003/09/04 01:33:52, 1] nsswitch/winbindd_util.c:init_domain_list(268)
  Could not fetch sid for our domain WORKGROUP
[2003/09/04 01:33:52, 1] nsswitch/winbindd_util.c:add_trusted_domains(199)
  scanning trusted domain list

Using the "start smbd" or "start nmbd" button works fine and they
are shown as running if they are really running, but winbindd does not.

I've used these configure options while compiling Samba 3.0 RC2:
./configure --enable-cups --with-ads --with-acl-support
and it's running on SuSE Linux Enterprise Server 8.0.

Marco
Comment 1 Gerald (Jerry) Carter 2003-11-21 20:46:33 UTC
a change in the way that winbindd requests wer 
handled (quite some time ago) broke the winbindd_running()
function.  Fixed for 3.0.1
Comment 2 Gerald (Jerry) Carter 2005-02-07 09:06:22 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:22:04 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:25:49 UTC
database cleanup